import React from "react";

function Help() {
  return (
    <main>
      <h1>Hilfe</h1>

      <h2>Navigation</h2>
      <p>
        Um die MAWEN Web App zu starten, gehen Sie bitte zu einer der Rechenarten:
      </p>

      <ul>
        <li><a href="/addition">Addition</a> (Accesskey a)</li>
        <li><a href="/subtraktion">Subtraktion</a> (Accesskey s)</li>
      </ul>

      <p>
        Auf der Seite <a href="/einstellungen">Einstellungen</a> (Accesskey e) k&ouml;nnen zuvor noch folgende Einstellungen bearbeitet werden:
      </p>

      <ul>
        <li>
          <b>Zahlen automatisch ausrichten: </b>
          Wenn diese Option ausgew&auml;hlt wurde, werden die Zahlen automatisch richtig untereinander ausgerichtet.
          Falls nicht, muss der User mit Hilfe der Pfeiltasten die Zahlen nach links und rechts verschieben, sodass am Ende alle Kommas an derselben Stelle sind.
        </li>
        <li>
          <b>Fehler ausbessern erlauben: </b>
          Wenn diese Option ausgew&auml;hlt wurde, werden nach der Eingabe des letzten &Uuml;bertrags nochmal alle Rechenschritte angezeigt.
          Zus&auml;tzlich kann bei jedem Schritt neu begonnen werden, um Fehler auszubessern.
          Falls diese Option nicht aktiviert wurde, wird nach der letzten Eingabe sofort angezeigt, ob das Endergebnis richtig oder falsch ist.
        </li>
      </ul>

      <h2>Eingabe der Rechnung</h2>
      <p>
        Dort k&ouml;nnen Sie dann im Eingabefeld eine Rechnung wie beispielsweise &quot;1.4+34&quot; oder &quot;98-3.2&quot; eingeben.
        Mit Hilfe der Pfeiltasten (auf und ab), k&ouml;nnen zuvor eingebene Rechnungen erneut verwendet werden.
        Dazu einfach die Liste an Vorschl&auml;gen mit den Pfeiltasten &ouml;ffnen, ebenfalls mit den Pfeiltasten bis zur gew&uuml;nschten Rechnung navigieren und die Auswahl mit Enter best&auml;tigen.
        <br/>
        Die Rechnung kann dabei beliebig viele Zahlen enthalten, allerdings m&uuml;ssen die Zahlen immer mit demselben Rechenzeichen verbunden sein.
        Mit dem Button &quot;berechnen&quot; oder mit Hilfe der Enter Taste wird die Kalkulation begonnen.
        Bitte beachten Sie bei der Eingabe auch, dass derzeit bei der Subtraktion keine negativen Ergebnisse m&ouml;glich sind.
        <br/>
        Nach der Eingabe werden die einzelnen Zahlen untereinander ausgebeben und k&ouml;nnen mit Hilfe der Pfeiltasten oder der Tab-Taste navigiert werden.
        Unter den Zahlen befindet sich das Feld f&uuml;r das Ergebnis, das anfangs nat&uuml;rlich noch leer ist.
      </p>

      <h2>Komma schieben (falls aktiviert)</h2>
      <p>
        Mit Hilfe der Pfeiltasten k&ouml;nnen die einzelnen Zahlen nach links und rechts verschoben werden.
        Wenn alle Zahlen ausgerichtet wurden, kann dies mit Enter oder dem Button nach den Zahlen best&auml;tigt werden.
        Falls die Zahlen nicht richtig ausgerichtet wurden, erscheint eine Warnung.
        Erst wenn alle Zahlen richtig verschoben wurden, kann mit dem n&auml;chsten Schritt begonnen werden.
      </p>


      <h2>Stellenweises L&ouml;sen der Rechnung</h2>
      <p>
        F&uuml;r jede Stelle der eingegeben Zahlen erscheinen nacheinander ein Eingabefeld f&uuml;r das Ergebnis und f&uuml;r den &Uuml;bertrag.
        Mit der Tab- oder Enter-Taste kann zwischen den beiden Eingabefeldern navigiert werden.
        Nach Eingabe des &Uuml;bertrags, muss dieser mit der Enter Taste best&auml;tigt werden.
        Dann erscheinen die beiden Eingabefelder der n&auml;chsten Stelle und der Fokus r&uuml;ckt in das erste Feld.
      </p>


      <h2>&Uuml;berpr&uuml;fung (falls aktiviert)</h2>
      <p>
        Wenn alle Eingabefelder ausgef&uuml;llt wurden, und die Überprüfung aktiviert ist, erscheinen unter der Zahlenbox die einzelnen Rechnungsschritte.
        Bei jedem Schritt wird das davor berechnete Ergebnis, der &Uuml;bertrag und ob die Eingabe richtig oder falsch war, angezeigt.
        Au&szlig;erdem erscheint neben jedem Schritt ein Button, mit dem bei dem jeweiligen Schritt neu begonnen werden kann, um m&ouml;gliche Fehler ausbessern zu k&ouml;nnen.
      </p>


      <h2>Absenden des Ergebnisses</h2>
      <p>
        Unter den Rechenschritten befindet sich ein Button um das Ergebnis abzusenden.
        Das berechnete Ergebnis wird dann in die Box mit den Zahlen in der letzten Zeile erg&auml;nzt.
        Unter der Box wird gezeigt ob das Ergebnis richtig oder falsch ist.
        Falls die &Uuml;berpr&uuml;fung deaktiviert wurde, wird das Ergebnis sofort angezeigt.
      </p>

      <h2>Neu beginnen</h2>
      <p>
        Um die Eingabe zu korrigieren oder eine neue Rechnung zu beginnen, muss die Seite neu geladen werden.
      </p>
    </main>
  );
}

export default Help;
